import TypeImport from './TypeImport';
type ImportSet = {
    default?: string;
    defaultAsType?: string;
    named: Set<string>;
    namedAsType: Set<string>;
};
declare class ImportGenerator {
    srcFolder: string;
    srcModuleName: string;
    /**
     * @param srcPath The path (including filename) of the module we're generating imports for.
     */
    constructor(srcPath: string);
    importMap: {
        [index: string]: ImportSet;
    };
    addImport({ name, isDefault, path: absolutePath, isAbsolute, importAsType, }: TypeImport): void;
    generateLines(): string[];
    private generateLine;
}
export default ImportGenerator;
